org.gcube.dataanalysis.dataminer.poolmanager.clients

## Class HAProxy

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.HAProxy

    public class HAProxy
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HAProxy()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<Host>` `listDataMinersByCluster(String targetVREToken, String targetVRE)`
`static void` `main(String[] args)`
`Cluster` `MapCluster()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HAProxy

    public HAProxy()

### Method Detail

#### MapCluster

    public Cluster MapCluster()
                       throws IOException

Throws:
  `IOException`

#### listDataMinersByCluster

    public List<Host> listDataMinersByCluster(String targetVREToken,
                                              String targetVRE)
                                       throws IOException

Throws:
  `IOException`

#### main

    public static void main(String[] args)
                     throws org.gcube.common.authorization.client.exceptions.ObjectNotFound,
                            Exception

Throws:
  `org.gcube.common.authorization.client.exceptions.ObjectNotFound`
  `Exception`